vault {
  address = "{{ vault_address }}"
  retry {
    num_retries = 5
  }
}

auto_auth {
  method {
    type = "approle"
    mount_path = "auth/bootstrapper"
    config = {
      role_id_file_path = "{{ bootstrapper_role_id_path }}"
      secret_id_file_path = "{{ bootstrapper_secret_id_path }}"
      remove_secret_id_file_after_reading = false
    }
  }

  sink "file" {
    config = {
      path = "{{ vault_token_file }}"
    }
  }
}
